Bug 1283906 - [abrt] libabigail: abigail::dwarf_reader::build_reference_type(): abipkgdiff killed by SIGABRT
[abrt] libabigail: abigail::dwarf_reader::build_reference_type(): abipkgdiff ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libabigail (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sinny Kumari
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5d91b34b36686cd7c79c86eaac4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 04:04 EST by Dominik 'Rathann' Mierzejewski
Modified: 2016-02-04 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version: libabigail-1.0-0.rc2.2.fc22 libabigail-1.0-0.rc2.1.el7 libabigail-1.0-0.rc2.1.fc23 libabigail-1.0-0.rc2.2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 10:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.39 KB, text/plain)
2015-11-20 04:04 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-20 04:04 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: core_backtrace (14.08 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: dso_list (1.26 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: environ (3.40 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: maps (8.43 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: mountinfo (3.76 KB, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: open_fds (588 bytes, text/plain)
2015-11-20 04:05 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-20 04:06 EST, Dominik 'Rathann' Mierzejewski
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-11-20 04:06 EST, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-11-20 04:04:28 EST
Description of problem:
$ abipkgdiff --d1 gromacs-debuginfo-5.0.6-4.fc22.x86_64.rpm --d2 gromacs-debuginfo-5.0.7-1.fc22.x86_64.rpm gromacs-libs-5.0.6-4.fc22.x86_64.rpm gromacs-libs-5.0.7-1.fc22.x86_64.rpm
abipkgdiff: abg-dwarf-reader.cc:6791: abigail::ir::reference_type_def_sptr abigail::dwarf_reader::build_reference_type(abigail::dwarf_reader::read_context&, Dwarf_Die*, bool, bool, size_t): Assertion `utype' failed.
Aborted (core dumped)

Version-Release number of selected component:
libabigail-1.0-0.5.20150727gitf0d319a.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        abipkgdiff --d1 gromacs-debuginfo-5.0.6-4.fc22.x86_64.rpm --d2 gromacs-debuginfo-5.0.7-1.fc22.x86_64.rpm gromacs-libs-5.0.6-4.fc22.x86_64.rpm gromacs-libs-5.0.7-1.fc22.x86_64.rpm
crash_function: abigail::dwarf_reader::build_reference_type
executable:     /usr/bin/abipkgdiff
global_pid:     24413
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            5242

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 abigail::dwarf_reader::build_reference_type at abg-dwarf-reader.cc:6791
 #5 abigail::dwarf_reader::build_ir_node_from_die at abg-dwarf-reader.cc:7491
 #7 abigail::dwarf_reader::build_function_decl at abg-dwarf-reader.cc:7154
 #8 abigail::dwarf_reader::build_ir_node_from_die at abg-dwarf-reader.cc:7791
 #10 abigail::dwarf_reader::build_namespace_decl_and_add_to_ir at abg-dwarf-reader.cc:6060
 #11 abigail::dwarf_reader::build_ir_node_from_die at abg-dwarf-reader.cc:7663
 #13 abigail::dwarf_reader::get_scope_for_die at abg-dwarf-reader.cc:5778
 #14 abigail::dwarf_reader::build_ir_node_from_die at abg-dwarf-reader.cc:7939
 #15 abigail::dwarf_reader::build_typedef_type at abg-dwarf-reader.cc:6952
 #16 abigail::dwarf_reader::build_ir_node_from_die at abg-dwarf-reader.cc:7457
Comment 1 Dominik 'Rathann' Mierzejewski 2015-11-20 04:04:47 EST
Created attachment 1097056 [details]
File: backtrace
Comment 2 Dominik 'Rathann' Mierzejewski 2015-11-20 04:04:50 EST
Created attachment 1097057 [details]
File: cgroup
Comment 3 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:31 EST
Created attachment 1097058 [details]
File: core_backtrace
Comment 4 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:36 EST
Created attachment 1097059 [details]
File: dso_list
Comment 5 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:40 EST
Created attachment 1097060 [details]
File: environ
Comment 6 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:41 EST
Created attachment 1097061 [details]
File: limits
Comment 7 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:54 EST
Created attachment 1097062 [details]
File: maps
Comment 8 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:56 EST
Created attachment 1097063 [details]
File: mountinfo
Comment 9 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:57 EST
Created attachment 1097064 [details]
File: namespaces
Comment 10 Dominik 'Rathann' Mierzejewski 2015-11-20 04:05:59 EST
Created attachment 1097065 [details]
File: open_fds
Comment 11 Dominik 'Rathann' Mierzejewski 2015-11-20 04:06:01 EST
Created attachment 1097066 [details]
File: proc_pid_status
Comment 12 Dominik 'Rathann' Mierzejewski 2015-11-20 04:06:05 EST
Created attachment 1097067 [details]
File: var_log_messages
Comment 13 Dodji Seketeli 2015-12-06 12:51:30 EST
I can reproduce this issue with the code from the master branch of the upstream git repository and I have filed an upstream problem report at https://sourceware.org/bugzilla/show_bug.cgi?id=19336.

It's being taken care of, upstream.

Thank you for taking time to report this issue.
Comment 14 Dodji Seketeli 2015-12-06 12:53:43 EST
Dominik, just to save your time later, when you file bug reports for libabigail, just mentioning the N-V-R of the packages of the binaries that libabigail failed to handle, along with the N-V-R of the offending libabigail package is enough.

Thank you again.
Comment 15 Dodji Seketeli 2015-12-09 03:45:30 EST
This issue is fixed upstream by a series of commits, as referred to by upstream problem report  https://sourceware.org/bugzilla/show_bug.cgi?id=19336.

The fix should be available in the next libabigail Fedora Package.
Comment 16 Fedora Update System 2016-01-08 09:01:03 EST
libabigail-1.0-0.rc2.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24797183b8
Comment 17 Fedora Update System 2016-01-08 17:42:30 EST
libabigail-1.0-0.rc2.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5a48e3210a
Comment 18 Fedora Update System 2016-01-08 23:26:35 EST
libabigail-1.0-0.rc2.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24797183b8
Comment 19 Fedora Update System 2016-01-09 12:51:19 EST
libabigail-1.0-0.rc2.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5a48e3210a
Comment 20 Fedora Update System 2016-01-11 04:32:29 EST
libabigail-1.0-0.rc2.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-64ee029010
Comment 21 Fedora Update System 2016-01-11 04:33:13 EST
libabigail-1.0-0.rc2.2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ba0e97de1
Comment 22 Fedora Update System 2016-01-12 03:52:07 EST
libabigail-1.0-0.rc2.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-64ee029010
Comment 23 Fedora Update System 2016-01-12 04:54:24 EST
libabigail-1.0-0.rc2.2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ba0e97de1
Comment 24 Fedora Update System 2016-01-27 10:52:11 EST
libabigail-1.0-0.rc2.2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-01-27 11:12:48 EST
libabigail-1.0-0.rc2.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-01-28 13:30:10 EST
libabigail-1.0-0.rc2.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-02-04 17:55:43 EST
libabigail-1.0-0.rc2.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.